<div>
    <h2 id="page-heading">
        <span jhiTranslate="restaurantApplicationApp.ingredients.home.title">Ingredients</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-ingredients" [routerLink]="['/ingredients/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="restaurantApplicationApp.ingredients.home.createLabel">
            Create new Ingredients
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="ingredients">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="global.field.id">ID</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.ingredients.name">Name</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.ingredients.price">Price</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let ingredients of ingredients ;trackBy: trackId">
                <td><a [routerLink]="['/ingredients', ingredients.id, 'view' ]">{{ingredients.id}}</a></td>
                <td>{{ingredients.name}}</td>
                <td>{{ingredients.price}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/ingredients', ingredients.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/ingredients', ingredients.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'ingredients', { outlets: { popup: ingredients.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
